# Create a product rate plan definition Creates a product rate plan definition to use a charge in a product rate plan. In the request, you must specify either the unique ID or number of both the charge and the product rate plan to add the specified charge to a specific rate plan. Note: This operation requires the Attribute-based Pricing feature to be enabled, which is in the Early Adopter phase. Endpoint: POST /v1/product-rateplan-definitions Version: 2026-02-20 Security: bearerAuth ## Header parameters: - `Idempotency-Key` (string) Specify a unique idempotency key if you want to perform an idempotent POST or PATCH request. Do not use this header in other request types. With this header specified, the Zuora server can identify subsequent retries of the same request using this value, which prevents the same operation from being performed multiple times by accident. - `Accept-Encoding` (string) Include the Accept-Encoding: gzip header to compress responses as a gzipped file. It can significantly reduce the bandwidth required for a response. If specified, Zuora automatically compresses responses that contain over 1000 bytes of data, and the response contains a Content-Encoding header with the compression algorithm so that your client can decompress it. - `Content-Encoding` (string) Include the Content-Encoding: gzip header to compress a request. With this header specified, you should upload a gzipped file for the request payload instead of sending the JSON payload. - `Zuora-Track-Id` (string) A custom identifier for tracing the API call. If you set a value for this header, Zuora returns the same value in the response headers. This header enables you to associate your system process identifiers with Zuora API calls, to assist with troubleshooting in the event of an issue. The value of this field must use the US-ASCII character set and must not include any of the following characters: colon (:), semicolon (;), double quote ("), and quote ('). - `Zuora-Entity-Ids` (string) An entity ID. If you have Zuora Multi-entity enabled and the OAuth token is valid for more than one entity, you must use this header to specify which entity to perform the operation in. If the OAuth token is only valid for a single entity, or you do not have Zuora Multi-entity enabled, you should not set this header. - `Zuora-Version` (string) The minor API version. For a list of available minor versions, see API upgrades. ## Request fields (application/json): - `productRatePlanChargeId` (string) The unique ID of the product rate plan charge to be used in the product rate plan. Example: "2c9890e489f227bd0189f22f3482001f" - `productRatePlanChargeNumber` (string) The unique number (natural key) of the product rate plan charge to be used in the product rate plan. Example: "PRPC-00000001" - `productRatePlanId` (string) The unique ID of the product rate plan that uses this rate plan definition. Example: "2c9890678b1ca909018b1caea5c30000" - `productRatePlanNumber` (string) The unique number (natural key) of the product rate plan that uses this rate plan definition. Example: "PRP-00000008" ## Response 200 fields (application/json): - `id` (string) The unique ID of the product charge definition. - `success` (boolean) Indicates whether the request succeeded. ## Response 500 fields (application/json): - `reasons` (array) Example: [{"code":"ObjectNotFound","message":"Notification definition with id 6e569e1e05f040eda51a927b140c0ac1 does not exist"}] - `reasons.code` (string) The error code of response. - `reasons.message` (string) The detail information of the error response ## Response 4XX fields (application/json): - `processId` (string) The ID of the process that handles the operation. - `reasons` (array) The container of the error code and message. This field is available only if the success field is false. - `reasons.code` (string) The error code of response. - `reasons.message` (string) The detail information of the error response - `requestId` (string) Unique identifier of the request. - `success` (boolean) Indicates whether the call succeeded.